<?xml version="1.0"?>
<ComicInfo xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">
  <Series>Space Bastards</Series>
  <Number>3</Number>
  <Web>https://www.comixology.com/Space-Bastards-Vol-3/digital-comic/924857</Web>
  <Summary>Acclaimed artist Darick Robertson (The Boys, HAPPY!) joins writers Eric Peterson and Joe Aubrey to bring you the tale of the galaxy’s most dangerous employers: The IPS! ONGOING SERIES. In the future, unemployment and job dissatisfaction are sky-high. When you've got nothing left to lose, you join the Intergalactic Postal Service (IPS). Its postal fees are steep—and they go only to whomever ultimately fulfills the delivery, making every run a comically violent free-for-all between the most ruthless mercenaries in the cosmos! The interplanetary ensemble cast of Space Bastards, under the volatile leadership of Postmaster General Roy Sharpton, are constantly at each other’s throats trying to settle scores and earn big money. But when a rival corporation's teleportation technology threatens to make their role in the galaxy obsolete, the Bastards must work together to preserve a job they've come to love.</Summary>
  <Notes>Scraped metadata from Comixology [CMXDB924857]</Notes>
  <Publisher>Humanoids</Publisher>
  <Genre>Action/Adventure, Science Fiction, Supernatural/Occult</Genre>
  <PageCount>36</PageCount>
  <LanguageISO>en</LanguageISO>
  <ScanInformation></ScanInformation>
</ComicInfo>
